html, body {
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
}

.container-fluid {
    min-height: 100%;
    min-width: 100%;
    display: flex;
    flex-direction: column;
}

.container {
    flex: 3;
    display: flex;
    flex-direction: row;
}

.header {
    background-color: #316B83;
}

.header-text {
    margin-left: 16px;
    color: #FFFFFF;
    display: flex;
    align-items: center;
    justify-content: center;
}

.main {
    flex: 1;
    display: flex;
    flex-direction: row;
}

.nav {
    background-color: #D5BFBF;
    display: flex;
    flex: 1;
    align-items: center;
    justify-content: center;
}

.article {
    background-color: #FFFFFF;
    display: flex;
    flex: 2;
    align-items: center;
    justify-content: center;
}

.aside {
    background-color: #F6AE99;
    display: flex;
    flex: 1;
    align-items: center;
    justify-content: center;
}

.footer {
    background-color: #316B83;
    display: flex;
    align-items: center;
    justify-content: center;
}

.footer-text {
    margin-left: 16px;
    color: #FFFFFF;
}

@media only screen and (min-width: 481px) and (max-width: 1024px) and (orientation:portrait) {
    .vertical-on-medium {
        display: flex !important;
        flex-direction: column !important;
    }

    .container {
        flex: 5;
    }
}

@media only screen and (min-width: 481px) and (max-width: 1024px) and (orientation:landscape) {
    .vertical-on-medium {
        display: flex !important;
        flex-direction: column !important;
    }

    .container {
        flex: 5;
    }
}

@media only screen and (max-device-width: 480px) {
    .vertical-on-medium {
        display: flex !important;
        flex-direction: column !important;
    }

    .vertical-on-small {
        display: flex !important;
        flex-direction: column !important;
    }

    .container {
        flex: 2;
    }

    .main {
        flex: 1;
    }

    .nav {
        flex: 1;
    }

    .article {
        flex: 1;
    }

    .aside {
        flex: 1;
    }
}
